Subject: Modular Texlive
From: Ricardo Wurmus <[email-masked]>
To: [email-masked]
Date: Fri, 09 Jun 2017 12:42:53 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This patch set lays the foundation for a modular Texlive distribution.
Most importantly it adds “texlive-union”, which allows for a custom
subset of Texlive to be defined.

I have tested this successfully on the “fastcap” package.  The reason
why I’m not including a patch to replace “texlive” with “texlive-tiny”
in “fastcap” is that I’m still missing some bibtex packages that are
required by the fastcap documentation for references.

A lot of packages are still missing, but the importer should be enough
to get more things from the Texlive SVN repo packaged.

--
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net